Bug 463290 - [LTC 6.0 FEAT] 201280:Subpage protection for PowerVM Lx86
[LTC 6.0 FEAT] 201280:Subpage protection for PowerVM Lx86
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature, Reopened
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-22 16:30 EDT by IBM Bug Proxy
Modified: 2009-09-23 17:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 17:52:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 16:30:50 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:25 EDT
1. Feature Overview:
Feature Id:	[201280]
a. Name of Feature:	Subpage protection for PowerVM Lx86
b. Feature Description
Add a system call to assign protections to 4KB subpages of 64KB pages for improved performance for
applications running under Lx86 on kernels with 64KB page size.

Additional Comments:	5.3 request was tracked in https://bugzilla.redhat.com/show_bug.cgi?id=439489

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Performance
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.25

3. Business Case
While the  kernel on Intel x86  uses 4K page size, the kernel on PPC uses 64K page size.  To
translate a Linux/x86 applications to run in Linux/PPC, the translator needs to present a smaller
page size than the underlying system supports.  Mapping and transforming 4k-pages to 64K-pages can
be done in S/W (for example, build a full s/w version of 4k paging). But, the hit on performance
will be considerable and will render translating Linux/x86 applications to Linux/PPC unacceptable.
The sub-page protection is what allows translating Linux/x86 applications to run with reasonable
performance on a kernel with 64kB pages rather than unacceptably bad performance.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
Paul Mackerras, pmac@au1.ibm.com

IBM Manager:
Pat Gaughen, gaughen@us.ibm.com
Comment 1 Bill Nottingham 2008-10-01 17:05:53 EDT
RHEL 6 will ship with a kernel later than 2.6.25, so this should not be an issue.
Comment 2 Bill Nottingham 2008-10-01 22:09:21 EDT
The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 3 IBM Bug Proxy 2009-03-02 15:50:33 EST
this is in 2.6.25
sha1 id: fa28237cfcc5827553044cbd6ee52e33692b0faa
Comment 4 Kevin W Monroe 2009-09-23 17:52:40 EDT
Closing - included in Red Hat Enterprise Linux 6.

Note You need to log in before you can comment on or make changes to this bug.